import logging
from appconfig import *
from orangescape.config.userauth import *
from orangescape.model.server.util.ServerUtil import _get_class
class Authenticate:
    def authenticate(self,userId,passWd,appId,logintoken=None,logincaptcha=None):
        authInstance = _get_class(AUTHENTICATION)()
        return authInstance.authenticate(userId, passWd, appId,logintoken,logincaptcha)